//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//#pragma link "ZylGSM"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ZylGSM1Connect(TObject *Sender, TCommPort Port)
{
  Memo->Lines->Add("Connected to " + ZylGSM1->CommPortToString(Port));        
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ZylGSM1Disconnect(TObject *Sender, TCommPort Port)
{
  Memo->Lines->Add("Disconnected from " + ZylGSM1->CommPortToString(Port));        
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ZylGSM1Receive(TObject *Sender, AnsiString Buffer)
{
  Memo->Lines->Add(Buffer);        
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ZylGSM1Ring(TObject *Sender,
      AnsiString CallerNumber)
{
  Memo->Lines->Add("RING EVENT: " + CallerNumber);        
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnOpenClick(TObject *Sender)
{
  ZylGSM1->Port = TCommPort(lstPort->ItemIndex + 1);
  ZylGSM1->BaudRate = ZylGSM1->IntToBaudRate(
    StrToInt(lstBaudRate->Items->Strings[lstBaudRate->ItemIndex]));
  ZylGSM1->Open();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnCloseClick(TObject *Sender)
{
  ZylGSM1->Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnDialClick(TObject *Sender)
{
  ZylGSM1->DialVoice(txtNo->Text);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnSendSMSTextClick(TObject *Sender)
{
  ZylGSM1->SendSMSAsText(txtNo->Text, "", txtMessage->Text);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnAnswerClick(TObject *Sender)
{
  ZylGSM1->AnswerCall();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnSendSMSPDUClick(TObject *Sender)
{
  ZylGSM1->SendSMSAsPDU(txtNo->Text, "", txtMessage->Text);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnTerminateClick(TObject *Sender)
{
  ZylGSM1->TerminateCall();        
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnSendStrClick(TObject *Sender)
{
  ZylGSM1->SendString(txtMessage->Text + char(13));
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  lstBaudRate->ItemIndex = 9;        
}
//---------------------------------------------------------------------------


void __fastcall TForm1::ZylGSM1NewMessage(TObject *Sender,
      AnsiString Location, int Index)
{
  Memo->Lines->Add("New SMS");
}
//---------------------------------------------------------------------------


void __fastcall TForm1::ZylGSM1ReadMessage(TObject *Sender,
      WideString MessageText, AnsiString PhoneNumber,
      AnsiString CenterNumber, TDateTime TimeStamp, int TimeZone,
      int Status)
{
  Memo->Lines->Add("SMS: " + MessageText);
  Memo->Lines->Add("Caller: " + PhoneNumber);
  Memo->Lines->Add("Center: " + CenterNumber);
  Memo->Lines->Add("Center: " + DateTimeToStr(TimeStamp));
  Memo->Lines->Add("Center: " + IntToStr(TimeZone));
  Memo->Lines->Add("Status: " + IntToStr(Status));
}
//---------------------------------------------------------------------------

